curl --request PUT \
--url https://api.komerza.com/stores/{storeId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"prependProductNameToReceipt": true,
"currencyCode": "<string>",
"isAutomaticReviewsEnabled": true,
"isTicketingEnabled": true,
"showPublicStats": true,
"showRecentOrderToasts": true,
"enableCartRecovery": true,
"termsOfServiceUrl": "<string>",
"refundPolicyUrl": "<string>",
"privacyPolicyUrl": "<string>",
"externalSupportUrl": "<string>",
"externalSupportDescription": "<string>"
}
'import requests
url = "https://api.komerza.com/stores/{storeId}"
payload = {
"name": "<string>",
"description": "<string>",
"prependProductNameToReceipt": True,
"currencyCode": "<string>",
"isAutomaticReviewsEnabled": True,
"isTicketingEnabled": True,
"showPublicStats": True,
"showRecentOrderToasts": True,
"enableCartRecovery": True,
"termsOfServiceUrl": "<string>",
"refundPolicyUrl": "<string>",
"privacyPolicyUrl": "<string>",
"externalSupportUrl": "<string>",
"externalSupportDescription": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
prependProductNameToReceipt: true,
currencyCode: '<string>',
isAutomaticReviewsEnabled: true,
isTicketingEnabled: true,
showPublicStats: true,
showRecentOrderToasts: true,
enableCartRecovery: true,
termsOfServiceUrl: '<string>',
refundPolicyUrl: '<string>',
privacyPolicyUrl: '<string>',
externalSupportUrl: '<string>',
externalSupportDescription: '<string>'
})
};
fetch('https://api.komerza.com/stores/{storeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"builderProjects": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"type": "<string>",
"userId": "<string>",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"backups": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"fileDataHash": "<string>",
"compressedSize": 123,
"size": 123,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"websiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storageKey": "<string>",
"name": "<string>"
}
],
"pages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<unknown>",
"path": "<string>",
"title": "<string>",
"description": "<string>",
"ogImage": "<string>"
}
],
"environmentVariables": {},
"urlId": "<string>",
"name": "<string>",
"currentWebsiteId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currentWebsite": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"fileDataHash": "<string>",
"compressedSize": 123,
"size": 123,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storageKey": "<string>",
"sourceTemplateId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceCommitHash": "<string>",
"sourceReleaseTag": "<string>"
},
"globalSeo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project": "<unknown>",
"title": "<string>",
"description": "<string>",
"ogImage": "<string>"
}
}
],
"name": "<string>",
"description": "<string>",
"url": "\n store\n ",
"urlHistory": [
"<string>"
],
"domain": "<string>",
"lastCustomDomainUpdate": "2023-11-07T05:31:56Z",
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 50000,
"deliveryTypes": [
"<string>"
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
}
],
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"imageNames": [
"<string>"
],
"stock": 123,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"volumeDiscounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 1073741824,
"discountValue": 50000
}
],
"disableVolumeDiscountOnCoupon": true,
"randomizeKeyDelivery": true,
"description": "<string>",
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"metadata": "<string>",
"customIntervalDays": 123
}
],
"badges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"order": 123,
"color": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"imageNames": [
"<string>"
],
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"shouldBlockVpns": true,
"order": 123,
"isBestSeller": true,
"hideStock": true,
"blacklistedPaymentGateways": [
"<string>"
],
"additionalFees": {},
"additionalFixedFees": {},
"slug": "<string>",
"metaDescription": "<string>",
"metadata": "<string>",
"customAffiliateDiscountPercentage": 50,
"subscriptionAllowPause": true,
"subscriptionMaxPauseDurationDays": 123,
"subscriptionMaxPauseCount": 123,
"subscriptionAllowCancel": true,
"subscriptionAllowReactivate": true,
"subscriptionGracePeriodDays": 123,
"subscriptionRevokeOnExpiry": true,
"subscriptionApplyGracePeriodOnManualRenewal": true
}
],
"categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"products": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"categoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": "<unknown>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"product": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variants": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost": 50000,
"deliveryTypes": [
"<string>"
],
"files": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"friendlyName": "<string>",
"ipAddress": "<string>",
"userId": "<string>"
}
],
"minimumQuantity": 123,
"maximumQuantity": 123,
"order": 123,
"imageNames": [
"<string>"
],
"stock": 123,
"customFields": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"identifier": "<string>",
"type": "<string>",
"isRequired": true,
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"value": "<string>",
"order": 1073741823
}
],
"placeholder": "<string>",
"hint": "<string>"
}
],
"volumeDiscounts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quantity": 1073741824,
"discountValue": 50000
}
],
"disableVolumeDiscountOnCoupon": true,
"randomizeKeyDelivery": true,
"description": "<string>",
"dynamicUrl": "<string>",
"deliveryMessage": "<string>",
"metadata": "<string>",
"customIntervalDays": 123
}
],
"badges": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"order": 123,
"color": "<string>"
}
],
"name": "<string>",
"description": "<string>",
"imageNames": [
"<string>"
],
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userId": "<string>",
"shouldBlockVpns": true,
"order": 123,
"isBestSeller": true,
"hideStock": true,
"blacklistedPaymentGateways": [
"<string>"
],
"additionalFees": {},
"additionalFixedFees": {},
"slug": "<string>",
"metaDescription": "<string>",
"metadata": "<string>",
"customAffiliateDiscountPercentage": 50,
"subscriptionAllowPause": true,
"subscriptionMaxPauseDurationDays": 123,
"subscriptionMaxPauseCount": 123,
"subscriptionAllowCancel": true,
"subscriptionAllowReactivate": true,
"subscriptionGracePeriodDays": 123,
"subscriptionRevokeOnExpiry": true,
"subscriptionApplyGracePeriodOnManualRenewal": true
},
"order": 123
}
],
"slug": "<string>",
"metaDescription": "<string>",
"imageName": "<string>"
}
],
"blogPosts": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"title": "<string>",
"content": "<string>",
"isFeatured": true,
"tags": [
"<string>"
],
"order": 123,
"readTimeMinutes": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authorId": "<string>",
"categories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"blogPostId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"post": "<unknown>",
"blogCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"category": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"posts": "<array>",
"slug": "<string>",
"description": "<string>"
},
"order": 123
}
],
"slug": "<string>",
"excerpt": "<string>",
"metaDescription": "<string>",
"coverImageName": "<string>",
"publishedAt": "2023-11-07T05:31:56Z"
}
],
"blogCategories": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"name": "<string>",
"order": 123,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"posts": "<array>",
"slug": "<string>",
"description": "<string>"
}
],
"userId": "<string>",
"coupons": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"code": "<string>",
"uses": 123,
"maximumUses": 49999999,
"isEnabled": true,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"percentageDecrease": 50,
"amountDecrease": 50000,
"variantIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"expirationDate": "2023-11-07T05:31:56Z"
}
],
"blacklists": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"data": "<string>",
"isEnabled": true,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"note": "<string>"
}
],
"webhookSecret": "<string>",
"currencyCode": "<string>",
"prependProductNameToReceipt": true,
"isAutomaticReviewsEnabled": true,
"isCustomerBalanceEnabled": true,
"isBalanceTopUpEnabled": true,
"isSplitPaymentEnabled": true,
"isAdaptiveCurrencyEnabled": true,
"adaptiveCurrencyMarginPercent": 123,
"isTicketingEnabled": true,
"autoBlockOnChargeback": true,
"blockVpnProxy": true,
"kickFromDiscordOnBlock": true,
"isInactive": true,
"showPublicStats": true,
"showRecentOrderToasts": true,
"enableCartRecovery": true,
"customDomain": "<string>",
"affiliateOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"isEnabled": true,
"defaultReturnPercentage": 123,
"isPublicRegistrationEnabled": true,
"isLinkEditingEnabled": true,
"canConvertAffiliateBalance": true,
"defaultPercentageOff": 123
},
"storeBrandOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bannerFileName": "<string>",
"iconFileName": "<string>",
"accentColor": "<string>"
},
"notificationOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"disabledEmailNotifications": [
"<string>"
],
"disabledDiscordNotifications": [
"<string>"
],
"discordWebhookUrl": "<string>"
},
"businessInformation": {
"countryCode": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"legalEntityType": "<string>",
"taxId": "<string>",
"fullName": "<string>",
"addressLine1": "<string>",
"addressLine2": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>"
},
"taxOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"isEnabled": true,
"taxBehavior": "<string>",
"defaultTaxRate": 123,
"defaultTaxName": "<string>",
"businessCountryCode": "<string>",
"vatId": "<string>"
},
"subscriptionOptions": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dateCreated": "2023-11-07T05:31:56Z",
"allowPause": true,
"allowCancel": true,
"allowReactivate": true,
"allowPaymentMethodUpdate": true,
"gracePeriodDays": 123,
"maxRetryAttempts": 123,
"reminderSchedule": "<string>",
"sendExpiryNotifications": true,
"revokeOnExpiry": true,
"forceManualRenewal": true,
"applyGracePeriodOnManualRenewal": true,
"storeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"maxPauseDurationDays": 123,
"maxPauseCount": 123
},
"maintenanceReason": "<string>",
"termsOfServiceUrl": "<string>",
"refundPolicyUrl": "<string>",
"privacyPolicyUrl": "<string>",
"externalSupportUrl": "<string>",
"externalSupportDescription": "<string>"
}
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Update Store
Replaces the specified store’s data with the information in the form.
Requires the stores.update permission.
Authorizations
Your API key goes here
Path Parameters
The ID of the store to update.
Body
The form containing the new data to update the store with.
Form for updating or creating a store. This version is returned for authenticated API endpoints, any public endpoint will use a PublicStore or PublicStoreReference
The name of the store as shown on the users store page
3 - 32The store description, shown on the store home page underneath the title
4096Whether the name of the product should be prepended to the start of delivery receipts to customers
The ISO-compliant fiat currency code that is preferred for the store, defaults to USD
Whether automatic review leaving is enabled
Whether the built-in support ticket system is enabled for customers. When disabled, customers are directed to the external support URL instead.
Whether anonymized public statistics are shown to buyers on the storefront. Disabled by default for privacy.
Whether recent order toast notifications are shown to visitors on the storefront. Disabled by default for privacy.
Whether abandoned cart recovery emails are enabled for this store. Requires email marketing credits. Disabled by default.
The URL to the store's terms of service page
512The URL to the store's refund policy page
512The URL to the store's privacy policy page
512The URL to direct customers to for external support when ticketing is disabled. Required when ticketing is disabled.
512A description shown to customers explaining where to get support when ticketing is disabled.
1024Response
The object was successfully updated.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents a storefront that contains products that will be sold under it's name
Show child attributes
Show child attributes